Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.fmt
Class BundleSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.BundleSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  BundleTag, BundleTag

    public abstract class BundleSupport

extends BodyTagSupport

Support for tag handlers for <bundle>, the resource bundle loading tag in JSTL 1.0.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary
`protected String` | `basename`
`protected String` | `prefix`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BundleSupport()`

Method Summary
`int` | `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`int` | `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`LocalizationContext` | `getLocalizationContext()`
`static LocalizationContext` | `getLocalizationContext(PageContext pc)` Gets the default I18N localization context.
`static LocalizationContext` | `getLocalizationContext(PageContext pc, String basename)` Gets the resource bundle with the given base name, whose locale is determined as follows: Check if a match exists between the ordered set of preferred locales and the available locales, for the given base name.
`String` | `getPrefix()`
`void` | `release()` Release state.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### basename

    protected String basename

### prefix

    protected String prefix

Constructor Detail

### BundleSupport

    public BundleSupport()

Method Detail

### getLocalizationContext

    public LocalizationContext getLocalizationContext()

### getPrefix

    public String getPrefix()

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

### getLocalizationContext

    public static LocalizationContext getLocalizationContext(PageContext pc)

  Gets the default I18N localization context.

  Parameters:
    `pc` - Page in which to look up the default I18N localization context

### getLocalizationContext

    public static LocalizationContext getLocalizationContext(PageContext pc,
                                                             String basename)

  Gets the resource bundle with the given base name, whose locale is determined as follows: Check if a match exists between the ordered set of preferred locales and the available locales, for the given base name. The set of preferred locales consists of a single locale (if the `javax.servlet.jsp.jstl.fmt.locale` configuration setting is present) or is equal to the client's preferred locales determined from the client's browser settings.

  If no match was found in the previous step, check if a match exists between the fallback locale (given by the `javax.servlet.jsp.jstl.fmt.fallbackLocale` configuration setting) and the available locales, for the given base name.

  Parameters:
    `pageContext` - Page in which the resource bundle with the given base name is requested
    `basename` - Resource bundle base name
  Returns:
    Localization context containing the resource bundle with the given base name and the locale that led to the resource bundle match, or the empty localization context if no resource bundle match was found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.